Overview
Comment: | Fixed bug with determining which build is selected
Fixed unexplained bug with determining the target OS information Updated to supply the VFS before building (in support of future C-VFS) |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | merge-kitdll-kitsh-common |
Files: | files | file ages | folders |
SHA1: |
b5b42e234362ce2e72a10078179794db |
User & Date: | rkeene on 2011-05-20 06:31:32 |
Other Links: | branch diff | manifest | tags |
Context
2011-05-21
| ||
15:09 | More work towards integrating KitDLL and KitSH -- C-VFS tested working within KitSH check-in: 7d18befb92 user: rkeene tags: merge-kitdll-kitsh-common | |
2011-05-20
| ||
06:31 |
Fixed bug with determining which build is selected
Fixed unexplained bug with determining the target OS information Updated to supply the VFS before building (in support of future C-VFS) check-in: b5b42e2343 user: rkeene tags: merge-kitdll-kitsh-common | |
05:50 | First set of merges from KitDLL to KitSH check-in: 55cb9f600a user: rkeene tags: merge-kitdll-kitsh-common | |
Changes
Modified kitsh/build.sh from [9ac6c7313f] to [2d7f94aadf].
︙ | ︙ | |||
30 31 32 33 34 35 36 37 38 39 40 41 42 43 | ( cp -r 'buildsrc' 'build' cd "${BUILDDIR}" || exit 1 # Cleanup, just incase the incoming directory was not pre-cleaned ${MAKE:-make} distclean >/dev/null 2>/dev/null # Figure out if zlib compiled (if not, the system zlib will be used and we # will need to have that present) ZLIBDIR="$(cd "${OTHERPKGSDIR}/zlib/inst" 2>/dev/null && pwd)" export ZLIBDIR if [ -z "${ZLIBDIR}" -o ! -f "${ZLIBDIR}/lib/libz.a" ]; then unset ZLIBDIR fi | > > > > > > > > > > > > > | 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 | ( cp -r 'buildsrc' 'build' cd "${BUILDDIR}" || exit 1 # Cleanup, just incase the incoming directory was not pre-cleaned ${MAKE:-make} distclean >/dev/null 2>/dev/null # Create VFS directory mkdir "starpack.vfs" mkdir "starpack.vfs/lib" ## Copy in all built directories cp -r "${OTHERPKGSDIR}"/*/out/* 'starpack.vfs/' ## Rename the "vfs" package directory to what "boot.tcl" expects mv 'starpack.vfs/lib'/vfs* 'starpack.vfs/lib/vfs' ## Install "boot.tcl" cp 'boot.tcl' 'starpack.vfs/' # Figure out if zlib compiled (if not, the system zlib will be used and we # will need to have that present) ZLIBDIR="$(cd "${OTHERPKGSDIR}/zlib/inst" 2>/dev/null && pwd)" export ZLIBDIR if [ -z "${ZLIBDIR}" -o ! -f "${ZLIBDIR}/lib/libz.a" ]; then unset ZLIBDIR fi |
︙ | ︙ | |||
77 78 79 80 81 82 83 | echo "Running: ${MAKE:-make}" ${MAKE:-make} || exit 1 # Strip the kit of all symbols, if possible "${STRIP:-strip}" kit >/dev/null 2>/dev/null | < < < < < < < < < < < < < | 90 91 92 93 94 95 96 97 98 99 100 101 102 103 | echo "Running: ${MAKE:-make}" ${MAKE:-make} || exit 1 # Strip the kit of all symbols, if possible "${STRIP:-strip}" kit >/dev/null 2>/dev/null # Intall VFS onto kit ## Determine if we have a Tclkit to do this work TCLKIT="${TCLKIT:-tclkit}" if echo 'exit 0' | "${TCLKIT}" >/dev/null 2>/dev/null; then ## Install using existing Tclkit ### Call installer echo "Running: \"${TCLKIT}\" installvfs.tcl kit starpack.vfs \"${ENABLECOMPRESSION}\"" |
︙ | ︙ |
Modified kitsh/buildsrc/kitsh-0.0/aclocal.m4 from [53dc5eee75] to [c050f768b5].
︙ | ︙ | |||
185 186 187 188 189 190 191 192 193 194 195 196 197 198 | fi done AC_SUBST(ARCHS) ]) AC_DEFUN(DC_SETUP_TCL_PLAT_DEFS, [ AC_CANONICAL_HOST AC_MSG_CHECKING(host operating system) AC_MSG_RESULT($host_os) case $host_os in mingw32*) | > | 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 | fi done AC_SUBST(ARCHS) ]) AC_DEFUN(DC_SETUP_TCL_PLAT_DEFS, [ AC_CANONICAL_BUILD AC_CANONICAL_HOST AC_MSG_CHECKING(host operating system) AC_MSG_RESULT($host_os) case $host_os in mingw32*) |
︙ | ︙ | |||
315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 | ]) fi AC_MSG_RESULT($SHOBJLDFLAGS $SHOBJFLAGS) ]) AC_DEFUN(DC_CHK_OS_INFO, [ AC_CANONICAL_HOST AC_SUBST(SHOBJEXT) AC_SUBST(AREXT) AC_SUBST(SHOBJFLAGS) AC_SUBST(SHOBJLDFLAGS) AC_MSG_CHECKING(host operating system) AC_MSG_RESULT($host_os) | > > | 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 | ]) fi AC_MSG_RESULT($SHOBJLDFLAGS $SHOBJFLAGS) ]) AC_DEFUN(DC_CHK_OS_INFO, [ AC_CANONICAL_BUILD AC_CANONICAL_HOST AC_SUBST(SHOBJEXT) AC_SUBST(AREXT) AC_SUBST(SHOBJFLAGS) AC_SUBST(SHOBJLDFLAGS) AC_MSG_CHECKING(host operating system) AC_MSG_RESULT($host_os) |
︙ | ︙ |
Modified kitsh/buildsrc/kitsh-0.0/configure.ac from [5f3b54111a] to [a823c6235c].
︙ | ︙ | |||
28 29 30 31 32 33 34 | ]) AC_MSG_RESULT([$TARGET]) dnl Find the appropriate libraries to link to AC_SEARCH_LIBS(acos, m,, [ AC_MSG_WARN([Couldn't find acos (normally in libm)!]) ]) AC_SEARCH_LIBS(dlsym, dl,, [ AC_MSG_WARN([Couldn't find dlsym (normally in libdl)!]) ]) | | | 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 | ]) AC_MSG_RESULT([$TARGET]) dnl Find the appropriate libraries to link to AC_SEARCH_LIBS(acos, m,, [ AC_MSG_WARN([Couldn't find acos (normally in libm)!]) ]) AC_SEARCH_LIBS(dlsym, dl,, [ AC_MSG_WARN([Couldn't find dlsym (normally in libdl)!]) ]) if test "$TARGET" = "tclkit"; then dnl Figure out how to statically link to libgcc, if needed DC_STATIC_LIBGCC else dnl We have KitDLL dnl Determine system information DC_CHK_OS_INFO |
︙ | ︙ | |||
96 97 98 99 100 101 102 | AC_ARG_WITH(zlib, AC_HELP_STRING([--with-zlib], [directory containing zlib]), [ CPPFLAGS="${CPPFLAGS} -I${with_zlib}/include -I${with_zlib}" CFLAGS="${CFLAGS} -I${with_zlib}/include -I${with_zlib}" LDFLAGS="${LDFLAGS} -L${with_zlib}/lib -L${with_zlib}" ]) dnl Only needed for Tclkit | | | 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 | AC_ARG_WITH(zlib, AC_HELP_STRING([--with-zlib], [directory containing zlib]), [ CPPFLAGS="${CPPFLAGS} -I${with_zlib}/include -I${with_zlib}" CFLAGS="${CFLAGS} -I${with_zlib}/include -I${with_zlib}" LDFLAGS="${LDFLAGS} -L${with_zlib}/lib -L${with_zlib}" ]) dnl Only needed for Tclkit if test "$TARGET" = "tclkit"; then DC_DO_STATIC_LINK_LIB(zlib, -lz,, [ DC_DO_STATIC_LINK_LIB(zlib, -lzlib,, [ AC_SEARCH_LIBS(inflate, z zlib,, [ AC_MSG_WARN([Couldn't find inflate (normally in zlib)!]) ]) ]) ]) |
︙ | ︙ | |||
149 150 151 152 153 154 155 | AC_MSG_ERROR([Unknown kit storage type: $enableval]) ;; esac ]) AC_MSG_RESULT([$storage_mech]) dnl Verify sanity of storage mechanism | | | 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 | AC_MSG_ERROR([Unknown kit storage type: $enableval]) ;; esac ]) AC_MSG_RESULT([$storage_mech]) dnl Verify sanity of storage mechanism if ! test "$TARGET" = "tclkit"; then case "$storage_mech" in auto|cvfs) true ;; *) AC_MSG_ERROR([Only "cvfs" and "auto" are valid storage mechanisms when building KitDLL]) ;; |
︙ | ︙ |